#!/usr/bin/sh
#
############################################################################################################################
#
# Crer une page html rsumant par onglet un tat des activits cible  contrler
#
############################################################################################################################
#
# TZ doit etre valorise
# exemple : TZ=NFT-1DFT,M3.5.0/2:00:00,M10.5.0/3:00:00
#
set -a
. ~/.bash_profile

GetDate()
{
# GetDate nDays [format]
# Exemple d'utilisation: export NAMEDIR=$(GetDate -1 '+%Y.%m.%d')

typeset -i nDays=$1; format=$2
eval $(echo $TZ | sed 's!\([^-0-9]*\)\([-0-9]*\)\(.*\)!typeset -i localOffset=\2;zon1=\1;zon2=\3!')
TZ=$zon1$((localOffset-24*nDays))$zon2 date $format
}
## echo "Nous sommes le : $( date +%Y.%m.%d )"
## 
## GetDate -6 '+%Y.%m.%d.%j'
## GetDate -7 '+%Y.%m.%d.%j'
## GetDate -8 '+%Y.%m.%d.%j'
#test $(date +%u) -eq 1 && date=$(GetDate -2 '+%d%m%Y')
#Datep=$(GetDate -1 '+%Y%m%d')

##-------------------------------------------------------------
##----------- d abord constituer chaque onglet afin d avoir un code retour sur l ensemble
##-------------------------------------------------------------

LesOnglets=(ControlM DollarU EAI DepotEAI DepotCFT Mails CFT Divers LesAlertes LiensUtiles LOG)
eval NbLesOnglets=\${#LesOnglets[@]}

for (( i=0; i<${NbLesOnglets} ; i++ )); do
  eval onglet="\${LesOnglets[${i}]}"
  LesOngletsJS=${LesOngletsJS}${sep}\"${onglet}\"
  . /home/user/matin_${onglet}.sh > /tmp/Bilan_${onglet}.html
  sep=','
done

##-------------------------------------------------------------
##--------- Mettre si alert onglet en rouge
##-------------------------------------------------------------

### icone tete
#Rouge='<input type="image" value="" style="width:15px; height:25px;" src="/image/teterouge.jpg" '
#Vert='<input type="image" value=""  style="width:15px; height:25px;" src="/image/teteverte.jpg" title="OK" >' 

### icone ellipse
Rouge='<input type="button" value="" style="width:15px; height:25px; border:solid 2px #ff0000; border-radius:51px;" '
Vert='<input type="button" value=""  style="width:15px; height:25px; border:solid 2px #7BFF00; border-radius:51px;" title="OK" >' 

#FinalIcon='yes.gif' # voir dans ~/Bilan_Matin.deb
FinalIcon='teteverte.jpg' # voir dans ~/Bilan_Matin.deb

#---------- Les alerts par onglet
. /home/user/matin_Alerts.txt

#--------- onglet a vert ou rouge si alert
for (( i=0; i<${NbLesOnglets} ; i++ )); do

    eval onglet="\${LesOnglets[${i}]}"
    eval Tlen=\${#Alert_${onglet}[@]}
    eval EtaT${i}="\${Vert}"
    TitleCrit=

  Vrai=0
  TitleCrit=
  Tsep=
  for (( j=0; j<${Tlen} ; j++ )); do
        eval CritFnd="\${Alert_${onglet}[$j]}"
        cDe=$(echo "${CritFnd}" | awk '{if ($0 ~ /!/) {printf("eq")} else {printf("gt")} }')
        CCritFnd="${CritFnd}"
        test "${cDe}" == "eq" && CCritFnd="${CritFnd#\!}"
##Les alarmes en rouge
        test $(grep -c "${CCritFnd}" /tmp/Bilan_${onglet}.html) -${cDe} 0 && TitleCrit="${TitleCrit}${Tsep}${CritFnd}" && Tsep='&#10;' && (( Vrai+=1 ))
  done
  test ${Vrai} -gt 0 &&  Rouget="${Rouge} title=\"${TitleCrit}\" >" && eval EtaT${i}="\${Rouget}" && FinalIcon='teterouge.jpg'


done

##-------------------------------------------------------------
##------------- constituer Bilan_Final.html 
##-------------------------------------------------------------

FileBilan=/tmp/Bilan_Matin.html
exec 1> ${FileBilan}

. ~/Bilan_Matin.deb
cat << @EOFF

<a name="Debut" ></a>
<pre>
Bilans au $(date) refresh in 15&rsquo;
</pre>
<div>

<ul id="onglets">
@EOFF

for (( i=0; i<${NbLesOnglets} ; i++ )); do
  eval onglet="\${LesOnglets[${i}]}"
  eval Etat="\${EtaT${i}}"
cat << @EOFF
<li><a href="#" onClick="activerMenu(this, '${onglet}'); return false;" >${Etat} ${onglet}</a>
@EOFF

done

cat << @EOFF
</ul>
@EOFF

##-------------------------------------------------------------
##---------- rubrique de chaque onglet
##-------------------------------------------------------------
for (( i=0; i<${NbLesOnglets} ; i++ )); do
  eval onglet="\${LesOnglets[${i}]}"
  cat /tmp/Bilan_${onglet}.html
done

##-------------------------------------------------------------
##---------- Fin page Bilan
##-------------------------------------------------------------
cat << @EOFF

<script type="text/javascript" >
activerMenu(this, 'ControlM');
</script>
</body>
</html>

@EOFF

##-------------------------------------------------------------
##---------- Mettre a dispo Bilan sur Hermes 
test -f ${FileBilan} && scp ${FileBilan} user@serveur:

